Cara memakai
- Ketik atau tempel teks ke Teks.
- Biarkan Kunci (opsional) kosong untuk ringkasan biasa, atau ketik kunci untuk mendapat HMAC.
- Salin ringkasan dari barisnya, atau gunakan Download as CSV untuk menyimpan seluruh tabel.
- Periksa algoritma di kolom pertama terhadap yang diminta sistem atau dokumen Anda.
Apa itu hash
Fungsi hash mengubah teks apa pun menjadi kode dengan panjang tetap, yang disebut ringkasan. Teks yang sama selalu menghasilkan ringkasan yang sama, perubahan kecil menghasilkan ringkasan yang sama sekali berbeda, dan ringkasan tidak dapat dikembalikan menjadi teks. Di sini ringkasan ditulis dalam heksadesimal: MD5 memiliki 32 digit, SHA-1 memiliki 40, SHA-256 memiliki 64, SHA-384 memiliki 96 dan SHA-512 memiliki 128.
Digit heksadesimal = bit ÷ 4
MD5 128 ÷ 4 = 32
SHA-256 256 ÷ 4 = 64
SHA-512 512 ÷ 4 = 128
Algoritma mana yang dipakai
MD5 dan SHA-1 sudah rusak. Dua teks berbeda dapat ditemukan dengan ringkasan yang sama, jadi keduanya tidak boleh dipakai untuk tanda tangan atau sertifikat. Keduanya masih muncul di sistem lama dan sebagai pemeriksaan cepat terhadap kerusakan tidak sengaja pada unduhan. SHA-256 dan SHA-512 termasuk standar terkini, FIPS 180-4, dan merupakan pilihan umum.
Untuk menyimpan kata sandi, gunakan fungsi hash kata sandi seperti Argon2 atau bcrypt. Tidak ada ringkasan di halaman ini yang dimaksudkan untuk itu.
HMAC: ringkasan dengan kunci
HMAC (RFC 2104) menggabungkan kunci dengan hash dengan cara yang tetap. Hanya orang yang mengetahui kunci yang dapat membuat HMAC yang sama, sehingga ia menunjukkan bahwa sebuah pesan berasal dari pengirim yang dikenal dan tidak diubah di tengah jalan. Halaman ini menghitung HMAC dengan algoritma yang sama seperti ringkasan biasa.
Teks adalah byte
- Teks di-hash sebagai byte UTF-8 (RFC 3629). Huruf ASCII memakai satu byte, huruf berdiakritik seperti é memakai dua, dan emoji memakai empat.
- Pemisah baris yang berbeda, pengodean yang berbeda, atau satu spasi tambahan menghasilkan ringkasan yang berbeda, jadi hash byte yang sama dengan alat lain.
Contoh: abc dan sebuah HMAC
Ringkasan dari teks abc adalah nilai yang diterbitkan: MD5 di RFC 1321, dan SHA-1, SHA-256, SHA-384 serta SHA-512 di FIPS 180-4.
Dengan kunci Jefe dan teks what do ya want for nothing?, HMAC-SHA-256 adalah 5bdcc146bf60754e6a042426089575c75a003f089d2739839dec58b964ec3843, nilai uji RFC 4231, kasus uji 2.
| Algoritma | Ringkasan dari abc |
|---|---|
| MD5 | 900150983cd24fb0d6963f7d28e17f72 |
| SHA-1 | a9993e364706816aba3e25717850c26c9cd0d89d |
| SHA-256 | ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad |
| SHA-384 | cb00753f45a35e8bb5a03d699ac65007272c32ab0eded1631a8b605a43ff5bed8086072ba1e7cc2358baeca134c825a7 |
| SHA-512 | ddaf35a193617abacc417349ae20413112e6fa4e89a97ea20a9eeee64b55d39a2192992a274fc1a836ba3c23a3feebbd454d4423643ce80e2a9ac94fa54ca49f |
Pertanyaan yang sering diajukan
Apakah MD5 aman untuk kata sandi?
Tidak. MD5 cepat dan sudah rusak, sehingga daftar hash kata sandi MD5 yang bocor mudah dipecahkan. Simpan kata sandi dengan fungsi hash kata sandi seperti Argon2 atau bcrypt.
Apakah SHA-256 sama dengan enkripsi?
Tidak. Hash bersifat satu arah: ia tidak dapat dikembalikan menjadi teks, dan tidak memakai kunci. Enkripsi dapat dibalik dengan kunci yang tepat. Gunakan hash untuk memeriksa keutuhan, dan HMAC untuk memeriksa bahwa sebuah pesan berasal dari seseorang yang mengetahui kunci.
Apa beda hash dan HMAC?
Hash hanya bergantung pada teks. HMAC juga memerlukan kunci rahasia, sehingga hanya orang yang memiliki kunci yang dapat membuat atau memeriksanya. Tanda tangan webhook dan API biasanya HMAC-SHA-256.
Mengapa ringkasan saya berbeda dengan alat lain?
Byte-nya harus sama. Pemisah baris yang berbeda, pengodean yang berbeda seperti Windows-1252, atau satu spasi tambahan mengubah setiap ringkasan. Hash byte yang sama dengan yang dihitung alat lain.
Apakah teks saya dikirim ke suatu tempat?
Tidak. Ringkasannya dihitung di peramban Anda, dan teksnya tidak diunggah atau disimpan.
Bisakah saya memeriksa berkas dengan alat ini?
Halaman ini hanya menghitung hash teks. Untuk berkas, gunakan alat checksum pada sistem operasi Anda atau checksum yang diterbitkan situs unduhan.
Sumber
- RFC 1321: The MD5 Message-Digest Algorithm (dalam bahasa Inggris)
- NIST FIPS 180-4: Secure Hash Standard (SHA-1 and the SHA-2 family) (dalam bahasa Inggris)
- RFC 2104: HMAC, Keyed-Hashing for Message Authentication (dalam bahasa Inggris)
- RFC 4231: Test vectors for HMAC-SHA-224, -256, -384 and -512 (dalam bahasa Inggris)
Angka dan teks terakhir diperiksa pada Selasa, 10 November 2026.